Package co.aikar.timings

# Class TimedEventExecutor

java.lang.Object
co.aikar.timings.TimedEventExecutor

All Implemented Interfaces:
  `EventExecutor`

public class TimedEventExecutor extends Object implements EventExecutor

## Field Summary

### Fields inherited from interface org.bukkit.plugin.EventExecutor

`eventExecutorMap`

## Constructor Summary

Constructors
Constructor
Description
`TimedEventExecutor(@NotNull EventExecutor executor, @NotNull Plugin plugin, @Nullable Method method, @NotNull Class<? extends Event> eventClass)`
Wraps an event executor and associates a timing handler to it.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(@NotNull Listener listener, @NotNull Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimedEventExecutor

public TimedEventExecutor(@NotNull @NotNull EventExecutor executor, @NotNull @NotNull Plugin plugin, @Nullable @Nullable Method method, @NotNull @NotNull Class<? extends Event> eventClass)
Wraps an event executor and associates a timing handler to it.

Parameters:
  `executor` - Executor to wrap
  `plugin` - Owning plugin
  `method` - EventHandler method
  `eventClass` - Owning class

## Method Details

### execute

public void execute(@NotNull @NotNull Listener listener, @NotNull @NotNull Event event) throws EventException

Specified by:
  `execute` in interface `EventExecutor`
Throws:
  `EventException`